Returns the receipt for a settled donation pledge owned by the authenticated tech-platform partner. Unknown, foreign, and non-partner pledges all return 404. The destination fund donor block is included only when the caller owns the fund or is its manager or an enabled collaborator.
GET
/
v1
/
receipts
/
partner
/
donation-pledge
/
{id}
Get donation pledge receipt by ID
curl --request GET \
--url https://api.dev.endaoment.org/v1/receipts/partner/donation-pledge/{id} \
--header 'x-api-key: <api-key>'
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Endaoment","colors":{"primary":"#627EEA","light":"#94B7FF","dark":"#4F53BE"},"logo":{"light":"https://mintcdn.com/endaoment/5D8ZfO22P1Kor1jn/images/brand-assets/logo-light.svg?fit=max\u0026auto=format\u0026n=5D8ZfO22P1Kor1jn\u0026q=85\u0026s=f11330599c8b0ceddff889518cc1d100","dark":"https://mintcdn.com/endaoment/5D8ZfO22P1Kor1jn/images/brand-assets/logo-dark.svg?fit=max\u0026auto=format\u0026n=5D8ZfO22P1Kor1jn\u0026q=85\u0026s=ca29e31ad4e454d88228302acc703b18"},"favicon":"https://mintcdn.com/endaoment/5D8ZfO22P1Kor1jn/favicon.svg?fit=max\u0026auto=format\u0026n=5D8ZfO22P1Kor1jn\u0026q=85\u0026s=b80c02c5975dba276eb6f88541ef218d","navbar":{"links":[{"href":"https://endaoment.org/","label":"About"},{"href":"https://github.com/endaoment/endaoment-integration-docs","label":"GitHub"},{"href":"mailto:partnerships@endaoment.org","label":"Contact"}],"primary":{"type":"button","label":"App","href":"https://app.endaoment.org/?_gl=1*1ulxtj3*_gcl_au*NjkzMjE4MzgzLjE3MDE3Mzk3MzQ."}},"footer":{"socials":{"twitter":"https://twitter.com/endaomentdotorg?ref_src=twsrc%5Egoogle%7Ctwcamp%5Eserp%7Ctwgr%5Eauthor","linkedin":"https://www.linkedin.com/company/endaoment"}},"seo":{"metatags":{"og:image":"https://docs.endaoment.org/images/brand-assets/og-image.png","og:image:width":"1200","og:image:height":"630","og:site_name":"Endaoment","twitter:card":"summary_large_image","twitter:image":"https://docs.endaoment.org/images/brand-assets/og-image.png"}},"integrations":{"ga4":{"measurementId":"G-0V38VDSK84"},"intercom":{"appId":"d1d9jukk"}},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"endaoment","hasAudioNarration":false,"actualSubdomain":"endaoment","customDomains":["docs.endaoment.org"],"gitSource":{"type":"github","owner":"endaoment","repo":"endaoment-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ada60574dfb652c15fd7276","collectionId":"03e17dac-f4bf-485c-8c9f-0172279303c3","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ada60574dfb652c15fd7276"},"feedback":{"issues":true,"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ada60574dfb652c15fd7276","clientVersion":"0.0.4006","searchFilterCounts":[{"language":"default","tag":"For Developers","count":89},{"language":"default","tag":"Endpoints","count":71},{"language":"default","tag":"Governance \u0026 Legal","count":47},{"language":"default","tag":"For Advisors","count":16},{"language":"default","tag":"For Donors","count":16},{"language":"default","tag":"Risk Management","count":15},{"language":"default","tag":"Partner Endpoints","count":14},{"language":"default","tag":"Resources","count":13},{"language":"default","tag":"Risk Types","count":13},{"language":"default","tag":"Getting Started","count":12}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"@font-face{font-family:'GT Haptik';src:url(https://storage.googleapis.com/endaoment-static/fonts/GT-Haptik-Bold.woff)}h1,h2,h3,h4,h5,h6{font-family:'GT Haptik',sans-serif}"}],"page":{"pagePath":"developers/api/partner-endpoints/get-donation-pledge-receipt-by-id","slug":"/developers/api/partner-endpoints/get-donation-pledge-receipt-by-id","pageMetadata":{"title":"Get donation pledge receipt by ID","description":"Returns the receipt for a settled donation pledge owned by the authenticated tech-platform partner. Unknown, foreign, and non-partner pledges all return 404. The destination fund donor block is included only when the caller owns the fund or is its manager or an enabled collaborator.","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/receipts/partner/donation-pledge/{id}","href":"/developers/api/partner-endpoints/get-donation-pledge-receipt-by-id","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Returns the receipt for a settled donation pledge owned by the authenticated tech-platform partner. Unknown, foreign, and non-partner pledges all return 404. The destination fund donor block is included only when the caller owns the fund or is its manager or an enabled collaborator.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get donation pledge receipt by ID","description":"Returns the receipt for a settled donation pledge owned by the authenticated tech-platform partner. Unknown, foreign, and non-partner pledges all return 404. The destination fund donor block is included only when the caller owns the fund or is its manager or an enabled collaborator.","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/receipts/partner/donation-pledge/{id}","href":"/developers/api/partner-endpoints/get-donation-pledge-receipt-by-id","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Returns the receipt for a settled donation pledge owned by the authenticated tech-platform partner. Unknown, foreign, and non-partner pledges all return 404. The destination fund donor block is included only when the caller owns the fund or is its manager or an enabled collaborator.","operationId":"ReceiptsController_getPartnerDonationPledgeReceipt_v1","parameters":["0e939d9c-929d-49f4-aa5c-327431d735be","dc61e0e0-1f38-4c94-8caa-3fa46ce0fc35"],"responses":{"200":"2d33fc71-c7de-46c5-a2e8-11279eaa8e61","401":"703c748a-e700-4d5f-98ba-21384dc0650b","404":"6154e29c-0275-4a81-90cf-b8f65b17a221"},"security":["e6ad8819-99de-44f9-b7f3-cdda98e75f34"],"summary":"Get donation pledge receipt by ID","tags":["Partner Endpoints"],"method":"get","type":"path","servers":["7106e36b-d834-4faa-b7df-ff7bb1e3d58a"],"path":"/v1/receipts/partner/donation-pledge/{id}","baseUrlOptions":["https://api.dev.endaoment.org"],"title":"Get donation pledge receipt by ID","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"0e939d9c-929d-49f4-aa5c-327431d735be":{"name":"id","required":true,"in":"path","description":"The Endaoment donation pledge id","schema":{"format":"uuid","example":"123e4567-e89b-12d3-a456-426614174000","type":"string","isRequired":true,"description":"The Endaoment donation pledge id","uniqueKey":"","typeLabel":"string\u003cuuid>"}},"dc61e0e0-1f38-4c94-8caa-3fa46ce0fc35":{"name":"x-api-key","in":"header","description":"Partner API key used for authentication","required":true,"schema":{"type":"string","isRequired":true,"description":"Partner API key used for authentication","uniqueKey":"","typeLabel":"string"}}},"responses":{"2d33fc71-c7de-46c5-a2e8-11279eaa8e61":{"description":"Donation pledge receipt successfully retrieved","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"id","typeLabel":"string\u003cuuid>"},"outcome":{"type":"string","enum":["Pending","AwaitingAssets","OnRamping","Success","Failure"],"isRequired":true,"uniqueKey":"outcome","typeLabel":"enum\u003cstring>"},"destinationEntity":{"type":"object","properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"destinationEntity.name","typeLabel":"string"},"id":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"destinationEntity.id","typeLabel":"string\u003cuuid>"},"type":{"type":"string","enum":["fund","org","subproject"],"isRequired":true,"uniqueKey":"destinationEntity.type","typeLabel":"enum\u003cstring>"},"org":{"oneOf":[{"type":"object","required":["ein","address"],"properties":{"ein":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.ein.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.ein.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.ein","typeLabel":"string | null"},"address":{"type":"object","properties":{"line1":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.address.line1.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.address.line1.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.address.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.address.line2.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.address.line2.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.address.line2","typeLabel":"string | null"},"city":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.address.city.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.address.city.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.address.city","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.address.state.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.address.state.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.address.state","typeLabel":"string | null"},"postalCode":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.address.postalCode.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.address.postalCode.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.address.postalCode","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.address.country.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.address.country.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.address.country","typeLabel":"string | null"}},"required":["line1","line2","city","state","postalCode","country"],"isRequired":true,"uniqueKey":"destinationEntity.org.oneOf.0.address","typeLabel":"object"}},"uniqueKey":"destinationEntity.org.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"destinationEntity.org.oneOf.1","typeLabel":"null"}],"uniqueKey":"destinationEntity.org","typeLabel":"object | null"},"fund":{"oneOf":[{"type":"object","required":["advisor"],"properties":{"advisor":{"type":"object","properties":{"firstName":{"type":"string","isRequired":true,"uniqueKey":"destinationEntity.fund.oneOf.0.advisor.firstName","typeLabel":"string"},"lastName":{"type":"string","isRequired":true,"uniqueKey":"destinationEntity.fund.oneOf.0.advisor.lastName","typeLabel":"string"},"email":{"type":"string","isRequired":true,"uniqueKey":"destinationEntity.fund.oneOf.0.advisor.email","typeLabel":"string"},"address":{"type":"object","properties":{"line1":{"type":"string","isRequired":true,"uniqueKey":"destinationEntity.fund.oneOf.0.advisor.address.line1","typeLabel":"string"},"line2":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"destinationEntity.fund.oneOf.0.advisor.address.line2.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"destinationEntity.fund.oneOf.0.advisor.address.line2.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"destinationEntity.fund.oneOf.0.advisor.address.line2","typeLabel":"string | null"},"city":{"type":"string","isRequired":true,"uniqueKey":"destinationEntity.fund.oneOf.0.advisor.address.city","typeLabel":"string"},"state":{"type":"string","isRequired":true,"uniqueKey":"destinationEntity.fund.oneOf.0.advisor.address.state","typeLabel":"string"},"postalCode":{"type":"string","isRequired":true,"uniqueKey":"destinationEntity.fund.oneOf.0.advisor.address.postalCode","typeLabel":"string"},"country":{"type":"string","isRequired":true,"uniqueKey":"destinationEntity.fund.oneOf.0.advisor.address.country","typeLabel":"string"}},"required":["line1","line2","city","state","postalCode","country"],"isRequired":true,"uniqueKey":"destinationEntity.fund.oneOf.0.advisor.address","typeLabel":"object"}},"required":["firstName","lastName","email","address"],"isRequired":true,"uniqueKey":"destinationEntity.fund.oneOf.0.advisor","typeLabel":"object"}},"uniqueKey":"destinationEntity.fund.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"destinationEntity.fund.oneOf.1","typeLabel":"null"}],"uniqueKey":"destinationEntity.fund","typeLabel":"object | null"}},"required":["name","id","type"],"isRequired":true,"uniqueKey":"destinationEntity","typeLabel":"object"},"donor":{"type":"object","properties":{"fullName":{"type":"string","isRequired":true,"uniqueKey":"donor.fullName","typeLabel":"string"},"email":{"type":"string","isRequired":true,"uniqueKey":"donor.email","typeLabel":"string"},"address":{"type":"object","properties":{"line1":{"type":"string","isRequired":true,"uniqueKey":"donor.address.line1","typeLabel":"string"},"line2":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"donor.address.line2.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"donor.address.line2.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"donor.address.line2","typeLabel":"string | null"},"city":{"type":"string","isRequired":true,"uniqueKey":"donor.address.city","typeLabel":"string"},"state":{"type":"string","isRequired":true,"uniqueKey":"donor.address.state","typeLabel":"string"},"postalCode":{"type":"string","isRequired":true,"uniqueKey":"donor.address.postalCode","typeLabel":"string"},"country":{"type":"string","isRequired":true,"uniqueKey":"donor.address.country","typeLabel":"string"}},"required":["line1","line2","city","state","postalCode","country"],"isRequired":true,"uniqueKey":"donor.address","typeLabel":"object"}},"required":["fullName","email","address"],"isRequired":true,"uniqueKey":"donor","typeLabel":"object"},"netDonationUsdc":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"netDonationUsdc.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"netDonationUsdc.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"netDonationUsdc","typeLabel":"string | null"},"protocolFeesUsdc":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"protocolFeesUsdc.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"protocolFeesUsdc.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"protocolFeesUsdc","typeLabel":"string | null"},"initiatedAtUtc":{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"initiatedAtUtc","typeLabel":"string\u003cdate-time>"},"completedAtUtc":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"completedAtUtc.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"completedAtUtc.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"completedAtUtc","typeLabel":"string\u003cdate-time> | null"}},"required":["id","outcome","destinationEntity","donor","netDonationUsdc","protocolFeesUsdc","initiatedAtUtc","completedAtUtc"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","outcome":"Pending","destinationEntity":{"name":"\u003cstring>","id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","type":"fund","org":{"ein":"\u003cstring>","address":{"line1":"\u003cstring>","line2":"\u003cstring>","city":"\u003cstring>","state":"\u003cstring>","postalCode":"\u003cstring>","country":"\u003cstring>"}},"fund":{"advisor":{"firstName":"\u003cstring>","lastName":"\u003cstring>","email":"\u003cstring>","address":{"line1":"\u003cstring>","line2":"\u003cstring>","city":"\u003cstring>","state":"\u003cstring>","postalCode":"\u003cstring>","country":"\u003cstring>"}}}},"donor":{"fullName":"\u003cstring>","email":"\u003cstring>","address":{"line1":"\u003cstring>","line2":"\u003cstring>","city":"\u003cstring>","state":"\u003cstring>","postalCode":"\u003cstring>","country":"\u003cstring>"}},"netDonationUsdc":"\u003cstring>","protocolFeesUsdc":"\u003cstring>","initiatedAtUtc":"2023-11-07T05:31:56Z","completedAtUtc":"2023-11-07T05:31:56Z"}}},"exampleType":"generated"}},"exampleType":"generated"},"703c748a-e700-4d5f-98ba-21384dc0650b":{"description":"A tech-platform API key is missing or invalid","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"6154e29c-0275-4a81-90cf-b8f65b17a221":{"description":"Donation pledge not found or not owned by the authenticated partner","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"e6ad8819-99de-44f9-b7f3-cdda98e75f34":{"ApiKey":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[],"schemeName":"ApiKey"}}},"servers":{"7106e36b-d834-4faa-b7df-ff7bb1e3d58a":{"url":"https://api.dev.endaoment.org","description":"Dev (canary)"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[],"schemeName":"ApiKey"},"schema":{"title":"x-api-key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKey","name":"x-api-key"}],"title":"ApiKey"}]},"originalFileLocation":"https://api.dev.endaoment.org/oas-json"},"subdomain":"endaoment","siteName":"Endaoment","title":"Get donation pledge receipt by ID - Endaoment","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-22T19:13:53.594Z","originalFileLocation":"developers/api/partner-endpoints/get-donation-pledge-receipt-by-id.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Returns the receipt for a settled donation pledge owned by the authenticated tech-platform partner. Unknown, foreign, and non-partner pledges all return 404. The destination fund donor block is included only when the caller owns the fund or is its manager or an enabled collaborator.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Endaoment\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/endaoment/kiCzoZh8ik9IVHk9/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/endaoment/kiCzoZh8ik9IVHk9/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/endaoment/kiCzoZh8ik9IVHk9/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/endaoment/kiCzoZh8ik9IVHk9/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/endaoment/kiCzoZh8ik9IVHk9/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/endaoment/kiCzoZh8ik9IVHk9/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/endaoment/kiCzoZh8ik9IVHk9/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/endaoment/kiCzoZh8ik9IVHk9/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/endaoment/kiCzoZh8ik9IVHk9/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get donation pledge receipt by ID - Endaoment\">\u003cmeta data-mint-head property=\"og:description\" content=\"Returns the receipt for a settled donation pledge owned by the authenticated tech-platform partner. Unknown, foreign, and non-partner pledges all return 404. The destination fund donor block is included only when the caller owns the fund or is its manager or an enabled collaborator.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Endaoment\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.endaoment.org/developers/api/partner-endpoints/get-donation-pledge-receipt-by-id\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://docs.endaoment.org/images/brand-assets/og-image.png\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get donation pledge receipt by ID - Endaoment\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Returns the receipt for a settled donation pledge owned by the authenticated tech-platform partner. Unknown, foreign, and non-partner pledges all return 404. The destination fund donor block is included only when the caller owns the fund or is its manager or an enabled collaborator.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://docs.endaoment.org/images/brand-assets/og-image.png\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/endaoment/kiCzoZh8ik9IVHk9/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Endaoment\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#627EEA\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.endaoment.org/developers/api/partner-endpoints/get-donation-pledge-receipt-by-id\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/developers/api/partner-endpoints/get-donation-pledge-receipt-by-id.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.endaoment.org/#organization\",\"name\":\"Endaoment\",\"url\":\"https://docs.endaoment.org\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/endaoment/5D8ZfO22P1Kor1jn/images/brand-assets/logo-light.svg?fit=max\u0026auto=format\u0026n=5D8ZfO22P1Kor1jn\u0026q=85\u0026s=f11330599c8b0ceddff889518cc1d100\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.endaoment.org#website\",\"name\":\"Endaoment\",\"url\":\"https://docs.endaoment.org\",\"publisher\":{\"@id\":\"https://docs.endaoment.org/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.endaoment.org/developers/api/partner-endpoints/get-donation-pledge-receipt-by-id#webpage\",\"url\":\"https://docs.endaoment.org/developers/api/partner-endpoints/get-donation-pledge-receipt-by-id\",\"name\":\"Get donation pledge receipt by ID\",\"description\":\"Returns the receipt for a settled donation pledge owned by the authenticated tech-platform partner. Unknown, foreign, and non-partner pledges all return 404. The destination fund donor block is included only when the caller owns the fund or is its manager or an enabled collaborator.\",\"dateModified\":\"2026-10-22T19:13:53.594Z\",\"isPartOf\":{\"@id\":\"https://docs.endaoment.org#website\"},\"breadcrumb\":{\"@id\":\"https://docs.endaoment.org/developers/api/partner-endpoints/get-donation-pledge-receipt-by-id#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.endaoment.org/developers/api/partner-endpoints/get-donation-pledge-receipt-by-id#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Endpoints\",\"item\":\"https://docs.endaoment.org/developers/api/partner-endpoints/list-fund-activity-by-id\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Partner Endpoints\",\"item\":\"https://docs.endaoment.org/developers/api/partner-endpoints/list-fund-activity-by-id\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Get donation pledge receipt by ID\",\"item\":\"https://docs.endaoment.org/developers/api/partner-endpoints/get-donation-pledge-receipt-by-id\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.endaoment.org/developers/api/partner-endpoints/get-donation-pledge-receipt-by-id#apireference\",\"headline\":\"Get donation pledge receipt by ID\",\"name\":\"Get donation pledge receipt by ID\",\"description\":\"Returns the receipt for a settled donation pledge owned by the authenticated tech-platform partner. Unknown, foreign, and non-partner pledges all return 404. The destination fund donor block is included only when the caller owns the fund or is its manager or an enabled collaborator.\",\"url\":\"https://docs.endaoment.org/developers/api/partner-endpoints/get-donation-pledge-receipt-by-id\",\"mainEntityOfPage\":{\"@id\":\"https://docs.endaoment.org/developers/api/partner-endpoints/get-donation-pledge-receipt-by-id#webpage\"},\"image\":\"https://docs.endaoment.org/images/brand-assets/og-image.png\",\"dateModified\":\"2026-10-22T19:13:53.594Z\",\"publisher\":{\"@id\":\"https://docs.endaoment.org/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.endaoment.org#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Endaoment\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Endaoment","nav":{"global":null,"tabs":[{"tab":"Getting Started","pages":[{"title":"Getting Started","href":"/introduction"}]},{"tab":"For Donors","pages":[{"title":"For Donors","href":"/donors/about/about-donor-advised-funds"}]},{"tab":"For Advisors","pages":[{"title":"For Advisors","href":"/advisors/about/about-endaoment-for-advisors"}]},{"tab":"For Nonprofits","pages":[{"title":"For Nonprofits","href":"/organizations/getting-started/understanding-endaoment"}]},{"tab":"For Developers","groups":[{"group":"About","pages":[{"title":"API Documentation","href":"/developers/getting-started/api-documentation"},{"title":"Glossary","href":"/developers/getting-started/glossary"}]},{"group":"Quickstart","pages":[{"title":"Overview","href":"/developers/quickstart/overview"},{"title":"Integration Patterns","href":"/developers/quickstart/integration-patterns"},{"title":"Authenticate","href":"/developers/quickstart/login-user"},{"title":"Open a Fund","href":"/developers/quickstart/create-daf"},{"title":"Fund a DAF","href":"/developers/quickstart/donate-to-daf"},{"title":"Find a Nonprofit","href":"/developers/quickstart/search-for-org"},{"title":"Recommend a Grant","href":"/developers/quickstart/grant-from-daf"},{"title":"Partner Journey","href":"/developers/quickstart/partner-journey"},{"title":"Error Handling","href":"/developers/quickstart/error-handling"},{"title":"Going to Production","href":"/developers/quickstart/going-to-prod"}]},{"group":"Endpoints","pages":[{"group":"Partner Endpoints","pages":[{"title":"List fund activity by ID","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/activity/partner/fund/{id}","href":"/developers/api/partner-endpoints/list-fund-activity-by-id"},{"title":"Get fund by ID","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/funds/partner/{id}","href":"/developers/api/partner-endpoints/get-fund-by-id"},{"title":"Get donation receipt by ID","description":"Returns the receipt for a settled donation owned by the authenticated tech-platform partner. Unknown, foreign, and non-partner donations all return 404. The destination fund donor block is included only when the caller owns the fund or is its manager or an enabled collaborator.","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/receipts/partner/donation/{id}","href":"/developers/api/partner-endpoints/get-donation-receipt-by-id"},{"title":"Get donation pledge receipt by ID","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/receipts/partner/donation-pledge/{id}","href":"/developers/api/partner-endpoints/get-donation-pledge-receipt-by-id"},{"title":"Get async transfer receipt by ID","description":"Returns the receipt for a pending (async) transfer owned by the authenticated tech-platform partner. Unknown, foreign, and non-partner transfers all return 404. A fund donor block on either side of the transfer is included only when the caller owns that fund or is its manager or an enabled collaborator. The top-level `donor` names the origin fund donor and follows that same check: it is always present, but returns empty values when the caller is not entitled to the origin fund.","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/receipts/partner/transfer/async/{id}","href":"/developers/api/partner-endpoints/get-async-transfer-receipt-by-id"},{"title":"Get liquidated transfer receipt by ID","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/receipts/partner/transfer/liquidated/{id}","href":"/developers/api/partner-endpoints/get-liquidated-transfer-receipt-by-id"},{"title":"List fund grants by ID","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/transfers/grants/partner/fund/{id}","href":"/developers/api/partner-endpoints/list-fund-grants-by-id"},{"title":"Provision user","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/auth/partner/users","href":"/developers/api/partner-endpoints/provision-user"},{"title":"Create cash donation pledge","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/donation-pledges/partner/cash-settled","href":"/developers/api/partner-endpoints/create-cash-donation-pledge"},{"title":"Create stock donation pledge","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/donation-pledges/partner/stock-settled","href":"/developers/api/partner-endpoints/create-stock-donation-pledge"},{"title":"Create fund","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/funds/partner","href":"/developers/api/partner-endpoints/create-fund"},{"title":"Submit missing org report","deprecated":true,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/missing-org-reports/tech-platform","href":"/developers/api/partner-endpoints/submit-missing-org-report"},{"title":"Get organizations by identifier","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/orgs/partner/batch-lookup","href":"/developers/api/partner-endpoints/get-organizations-by-identifier"},{"title":"Submit settled grant","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/transfers/partner/grant-submissions","href":"/developers/api/partner-endpoints/submit-settled-grant"}]},{"group":"Authentication","pages":[{"title":"Start OAuth authorization","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /auth","href":"/developers/api/authentication/start-oauth-authorization"},{"title":"End user session","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /session/end","href":"/developers/api/authentication/end-user-session"},{"title":"Get authenticated caller","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/auth/whoami","href":"/developers/api/authentication/get-authenticated-caller"},{"title":"Get access token","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /token","href":"/developers/api/authentication/get-access-token"},{"title":"Revoke access token","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /token/revocation","href":"/developers/api/authentication/revoke-access-token"}]},{"group":"Funds","pages":[{"title":"List community funds","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/funds/community","href":"/developers/api/funds/list-community-funds"},{"title":"List featured funds","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/funds/featured","href":"/developers/api/funds/list-featured-funds"},{"title":"List my funds","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/funds/mine","href":"/developers/api/funds/list-my-funds"},{"title":"Search funds","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/funds/search","href":"/developers/api/funds/search-funds"},{"title":"Get fund by vanity","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/funds/vanity/{vanityUrl}","href":"/developers/api/funds/get-fund-by-vanity"},{"title":"Get fund by ID","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/funds/{id}","href":"/developers/api/funds/get-fund-by-id"},{"title":"List fund collaborators","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/funds/{id}/collaborators","href":"/developers/api/funds/list-fund-collaborators"},{"title":"Create fund","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/funds","href":"/developers/api/funds/create-fund"},{"title":"Update fund","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json put /v1/funds/{id}","href":"/developers/api/funds/update-fund"}]},{"group":"Donations","pages":[{"title":"Get domestic wire details","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/donation-pledges/wire/details/domestic","href":"/developers/api/donations/get-domestic-wire-details"},{"title":"Get international wire details","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/donation-pledges/wire/details/international","href":"/developers/api/donations/get-international-wire-details"},{"title":"Get total platform impact","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/donations/total-impact","href":"/developers/api/donations/get-total-platform-impact"},{"title":"List supported tokens","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v2/tokens","href":"/developers/api/donations/list-supported-tokens"},{"title":"Create crypto donation pledge","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/donation-pledges/crypto","href":"/developers/api/donations/create-crypto-donation-pledge"},{"title":"Create DAF migration pledge","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/donation-pledges/daf-migration","href":"/developers/api/donations/create-daf-migration-pledge"},{"title":"Create wire donation pledge","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/donation-pledges/wire","href":"/developers/api/donations/create-wire-donation-pledge"},{"title":"Create stock donation pledge","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v2/donation-pledges/stock","href":"/developers/api/donations/create-stock-donation-pledge"},{"title":"Update crypto pledge transaction hash","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json patch /v1/donation-pledges/{id}/transaction-hash","href":"/developers/api/donations/update-crypto-pledge-transaction-hash"}]},{"group":"Portfolios","pages":[{"title":"List portfolios","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/portfolios","href":"/developers/api/portfolios/list-portfolios"}]},{"group":"Nonprofit Organizations","pages":[{"title":"Get missing org report status","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/missing-org-reports/{id}","href":"/developers/api/nonprofit-organizations/get-missing-org-report-status"},{"title":"Get organization counts by NTEE major code","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/orgs/counts","href":"/developers/api/nonprofit-organizations/get-organization-counts-by-ntee-major-code"},{"title":"Get organization by EIN","deprecated":true,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/orgs/ein/{ein}","href":"/developers/api/nonprofit-organizations/get-organization-by-ein"},{"title":"List organization subprojects","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/orgs/ein/{ein}/subprojects","href":"/developers/api/nonprofit-organizations/list-organization-subprojects"},{"title":"List eligible distributions","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/orgs/{id}/distributions","href":"/developers/api/nonprofit-organizations/list-eligible-distributions"},{"title":"Get organization by EIN or id","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/orgs/{identifier}","href":"/developers/api/nonprofit-organizations/get-organization-by-ein-or-id"},{"title":"Search subprojects","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/subprojects/search","href":"/developers/api/nonprofit-organizations/search-subprojects"},{"title":"Search organizations","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v2/orgs/search","href":"/developers/api/nonprofit-organizations/search-organizations"},{"title":"Submit missing org report","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/missing-org-reports","href":"/developers/api/nonprofit-organizations/submit-missing-org-report"}]},{"group":"Grant Transfers","pages":[{"title":"List fund grants","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/transfers/grants/fund/{id}","href":"/developers/api/grant-transfers/list-fund-grants"},{"title":"Get total granted amount","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/transfers/grants/total","href":"/developers/api/grant-transfers/get-total-granted-amount"},{"title":"Create async entity transfer","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/transfers/async-entity-transfers","href":"/developers/api/grant-transfers/create-async-entity-transfer"},{"title":"Cancel async entity transfer","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/transfers/async-entity-transfers/{id}/cancel","href":"/developers/api/grant-transfers/cancel-async-entity-transfer"},{"title":"Create async grant","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/transfers/async-grants","href":"/developers/api/grant-transfers/create-async-grant"},{"title":"Cancel async grant","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/transfers/async-grants/{id}/cancel","href":"/developers/api/grant-transfers/cancel-async-grant"}]},{"group":"Collaboration","pages":[{"title":"List sent recommendations","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/recommendations/by-me","href":"/developers/api/collaboration/list-sent-recommendations"},{"title":"List received recommendations","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/recommendations/for-me","href":"/developers/api/collaboration/list-received-recommendations"},{"title":"List fund recommendations","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/recommendations/fund/{fundId}","href":"/developers/api/collaboration/list-fund-recommendations"},{"title":"Get recommendation by ID","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/recommendations/{id}","href":"/developers/api/collaboration/get-recommendation-by-id"},{"title":"Add fund collaborator","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/funds/{id}/collaborators/trust","href":"/developers/api/collaboration/add-fund-collaborator"},{"title":"Create donation recommendation","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/recommendations/donation","href":"/developers/api/collaboration/create-donation-recommendation"},{"title":"Create grant recommendation","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/recommendations/grant","href":"/developers/api/collaboration/create-grant-recommendation"},{"title":"Create crypto pledge recommendation","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/recommendations/pledge-crypto","href":"/developers/api/collaboration/create-crypto-pledge-recommendation"},{"title":"Create portfolio trade recommendation","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v1/recommendations/trade","href":"/developers/api/collaboration/create-portfolio-trade-recommendation"},{"title":"Create stock pledge recommendation","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json post /v2/recommendations/pledge-stock","href":"/developers/api/collaboration/create-stock-pledge-recommendation"},{"title":"Dismiss recommendation","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json put /v1/recommendations/{id}/dismiss","href":"/developers/api/collaboration/dismiss-recommendation"},{"title":"Remove fund collaborator","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json delete /v1/funds/{id}/collaborators/{userId}","href":"/developers/api/collaboration/remove-fund-collaborator"}]},{"group":"Activity","pages":[{"title":"List featured activity","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/activity/featured","href":"/developers/api/activity/list-featured-activity"},{"title":"List fund activity","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/activity/fund/{id}","href":"/developers/api/activity/list-fund-activity"},{"title":"List caller activity","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/activity/mine","href":"/developers/api/activity/list-caller-activity"},{"title":"List organization activity","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/activity/org/{id}","href":"/developers/api/activity/list-organization-activity"},{"title":"List portfolio activity","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/activity/portfolio/{id}","href":"/developers/api/activity/list-portfolio-activity"},{"title":"List subproject activity","deprecated":null,"version":null,"openapi":"https://api.dev.endaoment.org/oas-json get /v1/activity/subproject/{id}","href":"/developers/api/activity/list-subproject-activity"}]}]},{"group":"Smart Contracts","pages":[{"title":"Overview","href":"/developers/contracts/overview"},{"title":"Entity Deployment","href":"/developers/contracts/entity-deployment"},{"title":"Donations","href":"/developers/contracts/donations"},{"title":"Entity State \u0026 Querying","href":"/developers/contracts/entity-state"},{"title":"Events \u0026 Monitoring","href":"/developers/contracts/entity-events"},{"title":"Integration Best Practices","href":"/developers/contracts/entity-best-practices"}]}]},{"tab":"Governance \u0026 Legal","pages":[{"title":"Governance \u0026 Legal","href":"/governance/documentation/mission-values"}]},{"tab":"Knowledge Base","href":"https://blog.endaoment.org/tag/knowledge-base"}]},"title":"Get donation pledge receipt by ID - Endaoment","buildId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","deploymentId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DmVyH30O.js","utils-BHQqGGOd.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CD-E4BIt.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bp5Lq9Ds.js","snippetPresets-C4xAVCFP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CgXVLxUC.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BF8I5oUf.js","shallow-Byd0lWnC.js","getApiPlaygroundDisplay-BGOZG1OK.js","CodeSnippet-CpvQL0CY.js","CodeSnippets-B8wkBKXa.js","Page-CBCH2P7b.js","getPastedJson-Ry3scI3Y.js","icon-D7a9HcdD.js","MethodPill-CJ8pmHhz.js","DuplicateIcon-rh1HJF0t.js","createIcon-DvGznqYs.js","DynamicMarkdown-Cc6AuSHS.js","SectionHeading-B4A0S-ep.js","axios-vUo_bRtp.js","Markdown-Cc16CX65.js","clsx-Cs6nMGht.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-zbf22OZA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-C_fs-y5n.js"]}